Update problem 3.0.3.1 -> 3.0.3.2

Discussion in 'Installation/Configuration' started by hack, Feb 20, 2011.

  1. hack

    hack New Member

    Hi.

    1. System=>Remote Actions=>Do OS-Update

    After several minuts /var/log/ispconfig/cron.log:
    Code:
    W: The "upgrade" command is deprecated; use "safe-upgrade" instead.
    
    2. aptitude update, upgrade, safe-upgrade:
    Code:
    web:~# aptitude upgrade
    W: The "upgrade" command is deprecated; use "safe-upgrade" instead.
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Reading extended state information
    Initializing package states... Done
    The following packages have been kept back:
      bind9 bind9utils libbind-dev libbind9-50 libdns55 libisccc50 libisccfg50 liblwres50
    0 packages upgraded, 0 newly installed, 0 to remove and 8 not upgraded.
    Need to get 0B of archives. After unpacking 0B will be used.
    Writing extended state information... Done
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Reading extended state information
    Initializing package states... Done
    
    web:~# aptitude safe-upgrade
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Reading extended state information
    Initializing package states... Done
    The following packages have been kept back:
      bind9 bind9utils libbind-dev libbind9-50 libdns55 libisccc50 libisccfg50 liblwres50
    0 packages upgraded, 0 newly installed, 0 to remove and 8 not upgraded.
    Need to get 0B of archives. After unpacking 0B will be used.
    Writing extended state information... Done
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Reading extended state information
    Initializing package states... Done
    
    Im running on five servers with Debian 5.0 x86_64.

    Where is problem?
     
    Last edited: Feb 20, 2011
  2. till

    till Super Moderator

    There is no real problem. Debian just keeps back some packages that might require changes in some configuration files. To install them, run the command:

    apt-get install bind9 bind9utils libbind-dev libbind9-50 libdns55 libisccc50 libisccfg50 liblwres50

    But that not related to a ispconfig 3.0.3.1 to 3.0.3.2 update as these are debian packages and not ispconfig.
     
  3. hack

    hack New Member

    Problem with bing update, was resolve after:
    Code:
    aptitude purge bind9
    aptitude install bind9
    Update with:
    Code:
    ispconfig_update.sh
    Ispconfig3 never update via web, i trying 3 times...
     
    Last edited: Feb 22, 2011
  4. till

    till Super Moderator

    To update ispconfig, please execute always the script:

    ispconfig_update.sh

    as root user on the shell.
     

Share This Page